=== debian/changelog ===
rkflashtool (0~20150809-1) unstable; urgency=low

  * Initial release (Closes: #802463)

 -- Philipp Hug <hug@debian.org>  Tue, 20 Oct 2015 11:08:12 +0200
