## rkflashtool 0~20160221

=== debian/changelog ===
rkflashtool (0~20160221-1) unstable; urgency=low

  New upstream version.
  * Add support for RK3368, RK3228 and RK3229

 -- Philipp Hug <philipp@hug.cx>  Sun, 21 Feb 2016 15:29:57 +0100
