## rkflashtool 0~20160324

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,21 @@
 LD	= $(CC)
 CFLAGS	= -O2 -W -Wall
 LDFLAGS	=
-LIBS	= -lusb-1.0
 PREFIX ?= usr/local
 
-ifdef LIBUSB
+PKGCONFIG ?= $(shell pkg-config --exists libusb-1.0 && echo 1)
+
+ifeq ($(PKGCONFIG),1)
+CFLAGS += $(shell pkg-config --cflags libusb-1.0)
+LDFLAGS += $(shell pkg-config --libs libusb-1.0)
+else ifdef LIBUSB
 CFLAGS	+= -I$(LIBUSB)/include
 LDFLAGS	+= -L$(LIBUSB)/lib
+else
+CFLAGS	+= -I/usr/include/libusb-1.0
+LDFLAGS += -lusb-1.0
 endif
+
 
 MACH	= $(shell $(CC) -dumpmachine)
 ifeq ($(findstring mingw,$(MACH)),mingw)
@@ -45,7 +53,7 @@
 all: $(PROGS) $(SCRIPTS)
 
 %$(BINEXT): %.c $(RESFILE)
-	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LIBS)
+	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)
 
 install: $(PROGS) $(SCRIPTS)
 	install -d -m 0755 $(DESTDIR)/$(PREFIX)/bin
