=== debian/changelog ===
rkflashtool (0~20160324-2) unstable; urgency=low

  * Update vcs links to point to salsa

 -- Philipp Hug <hug@debian.org>  Sat, 01 Dec 2018 15:53:37 +0100

rkflashtool (0~20160324-1) unstable; urgency=low

  * New upstream version:
    Add support for RK3126.
  * Fix link to git repository. (Closes: #811100 #860912)
  * Bump standards
  * Update supported device list in description.

 -- Philipp Hug <hug@debian.org>  Sat, 06 May 2017 11:52:18 +0200
