=== debian/control ===
Source: rkflashtool
Section: embedded
Priority: optional
Maintainer: Philipp Hug <hug@debian.org>
Build-Depends: debhelper (>= 9), libusb-1.0-0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/linux-rockchip/rkflashtool
Vcs-Git: https://salsa.debian.org/debian/rkflashtool.git
Vcs-Browser: https://salsa.debian.org/debian/rkflashtool

Package: rkflashtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for flashing Rockchip devices
 Allows flashing of Rockchip based embedded linux devices.
 The list of currently supported devices is:
 RK2818, RK2918, RK2928, RK3026, RK3036, RK3066, RK312X, RK3168, RK3188,
 RK3228, RK3229, RK3288, RK3368
